| Home | Libraries | People | FAQ | More

## Function template write_info

boost::property_tree::info_parser::write_info

## Synopsis

    // In header: <boost/property_tree/info_parser.hpp>

    template<typename Ptree, typename Ch>
      void write_info(std::basic_ostream< Ch > & stream, const Ptree & pt,
                      const info_writer_settings< Ch > & settings = info_writer_settings< Ch >());

## Description

Writes a tree to the stream in INFO format.

Parameters:

`settings` | The settings to use when writing the INFO data.

Throws: | info_parser_error If the stream cannot be written to, or a conversion fails.